/*
 * configJFrame.java
 *
 * Created on 25. Februar 2008, 04:24
 */

package PGRWetter;

import java.awt.Toolkit;
import java.util.Iterator;
import javax.swing.SpinnerNumberModel;

/**
 *
 * @author  paddy
 */
public class configJFrame extends javax.swing.JFrame {

    private PGRWetter pgrWetter;
    private static int newDispMode = 1;
    private static int newZenithMode = 1;

    /** Creates new form configJFrame
     * @param pgrWetter
     */
    public configJFrame(PGRWetter pgrWetter) {
	this.pgrWetter = pgrWetter;

	initComponents();
	jTextFieldStation.setText(pgrWetter.actStationID);

	int oldDispMode = pgrWetter.dispMode;
	if(oldDispMode == 1) {
	    jRadioButtonModus1.setSelected(true);
	    jRadioButtonModus2.setSelected(false);
	    jRadioButtonModus3.setSelected(false);
	    newDispMode = 1;
	} else if(oldDispMode == 2) {
	    jRadioButtonModus1.setSelected(false);
	    jRadioButtonModus2.setSelected(true);
	    jRadioButtonModus3.setSelected(false);
	    newDispMode = 2;
	} else if(oldDispMode == 3) {
	    jRadioButtonModus1.setSelected(false);
	    jRadioButtonModus2.setSelected(false);
	    jRadioButtonModus3.setSelected(true);
	    newDispMode = 3;
	}
	
	int oldZenithMode = pgrWetter.zenithMode;
	if(oldZenithMode == 1) {
	    jRadioButtonZenith1.setSelected(true);
	    jRadioButtonZenith2.setSelected(false);
	    jRadioButtonZenith3.setSelected(false);
	    jRadioButtonZenith4.setSelected(false);
	    newZenithMode = 1;
	} else if(oldZenithMode == 2) {
	    jRadioButtonZenith1.setSelected(false);
	    jRadioButtonZenith2.setSelected(true);
	    jRadioButtonZenith3.setSelected(false);
	    jRadioButtonZenith4.setSelected(false);
	    newZenithMode = 2;
	} else if(oldZenithMode == 3) {
	    jRadioButtonZenith1.setSelected(false);
	    jRadioButtonZenith2.setSelected(false);
	    jRadioButtonZenith3.setSelected(true);
	    jRadioButtonZenith4.setSelected(false);
	    newZenithMode = 3;
	} else if(oldZenithMode == 4) {
	    jRadioButtonZenith1.setSelected(false);
	    jRadioButtonZenith2.setSelected(false);
	    jRadioButtonZenith3.setSelected(false);
	    jRadioButtonZenith4.setSelected(true);
	    newZenithMode = 4;
	}

	//jSpinnerInterval.setModel( new SpinnerNumberModel(15, 1, 360, 15) );
	jSpinnerInterval.setModel( new SpinnerNumberModel(15, 15, 360, 15) );
	jSpinnerInterval.setValue(pgrWetter.interval);
	setIconImage(Toolkit.getDefaultToolkit().getImage((getClass().getResource("pgr_ico.png"))));
	updateComboBox();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        buttonGroupMode = new javax.swing.ButtonGroup();
        buttonGroupZenith = new javax.swing.ButtonGroup();
        jLabelTitelLabel = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabelStationIDLabel = new javax.swing.JLabel();
        jTextFieldStation = new javax.swing.JTextField();
        jLabelStationsListLabel = new javax.swing.JLabel();
        jComboBoxStations = new javax.swing.JComboBox();
        jSeparator2 = new javax.swing.JSeparator();
        jLabelToolTipOptionsLabel = new javax.swing.JLabel();
        jRadioButtonModus1 = new javax.swing.JRadioButton();
        jRadioButtonModus2 = new javax.swing.JRadioButton();
        jRadioButtonModus3 = new javax.swing.JRadioButton();
        jSeparator3 = new javax.swing.JSeparator();
        jLabelZenithsLabel = new javax.swing.JLabel();
        jRadioButtonZenith1 = new javax.swing.JRadioButton();
        jRadioButtonZenith2 = new javax.swing.JRadioButton();
        jRadioButtonZenith3 = new javax.swing.JRadioButton();
        jRadioButtonZenith4 = new javax.swing.JRadioButton();
        jSeparator4 = new javax.swing.JSeparator();
        jLabelIntervalLabel = new javax.swing.JLabel();
        jSpinnerInterval = new javax.swing.JSpinner();
        jLabelMinutesLabel = new javax.swing.JLabel();
        jButtonBack = new javax.swing.JButton();
        jButtonOk = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("PGR-Wetter: Konfiguration");
        jLabelTitelLabel.setFont(new java.awt.Font("Tahoma", 1, 18));
        jLabelTitelLabel.setText("Konfiguration");
        jLabelTitelLabel.setVerticalTextPosition(javax.swing.SwingConstants.TOP);

        jLabelStationIDLabel.setText("Wetterstation Direkteingabe:");

        jTextFieldStation.setText("jTextField1");
        jTextFieldStation.setToolTipText("Direkteingabe des ICAO-K\u00fcrzels der Station");

        jLabelStationsListLabel.setText("Auswahlliste:");

        jComboBoxStations.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "leer" }));
        jComboBoxStations.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxStationsActionPerformed(evt);
            }
        });

        jLabelToolTipOptionsLabel.setText("ToolTipOptionen:");
        jLabelToolTipOptionsLabel.setMaximumSize(new java.awt.Dimension(120, 14));
        jLabelToolTipOptionsLabel.setMinimumSize(new java.awt.Dimension(120, 14));
        jLabelToolTipOptionsLabel.setPreferredSize(new java.awt.Dimension(120, 14));

        buttonGroupMode.add(jRadioButtonModus1);
        jRadioButtonModus1.setSelected(true);
        jRadioButtonModus1.setText("nur Station");
        jRadioButtonModus1.setToolTipText("nur Stationsname anzeigen");
        jRadioButtonModus1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonModus1.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonModus1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonModus1ActionPerformed(evt);
            }
        });

        buttonGroupMode.add(jRadioButtonModus2);
        jRadioButtonModus2.setText("Station und Temperatur");
        jRadioButtonModus2.setToolTipText("Stationsname und Temperatur anzeigen");
        jRadioButtonModus2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonModus2.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonModus2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonModus2ActionPerformed(evt);
            }
        });

        buttonGroupMode.add(jRadioButtonModus3);
        jRadioButtonModus3.setText("Station, Temperatur, Wind und Luftdruck");
        jRadioButtonModus3.setToolTipText("Stationsname, Temperatur, Windgeschwindigkeit und Luftdruck anzeigen");
        jRadioButtonModus3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonModus3.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonModus3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonModus3ActionPerformed(evt);
            }
        });

        jLabelZenithsLabel.setText("Sonnenzeiten:");
        jLabelZenithsLabel.setMaximumSize(new java.awt.Dimension(120, 14));
        jLabelZenithsLabel.setMinimumSize(new java.awt.Dimension(120, 14));
        jLabelZenithsLabel.setPreferredSize(new java.awt.Dimension(120, 14));

        buttonGroupZenith.add(jRadioButtonZenith1);
        jRadioButtonZenith1.setSelected(true);
        jRadioButtonZenith1.setText("echte Zeiten");
        jRadioButtonZenith1.setToolTipText("echter Sonnenauf- und -untergang");
        jRadioButtonZenith1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonZenith1.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonZenith1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonZenith1ActionPerformed(evt);
            }
        });

        buttonGroupZenith.add(jRadioButtonZenith2);
        jRadioButtonZenith2.setSelected(true);
        jRadioButtonZenith2.setText("b\u00fcrgerliche D\u00e4mmerung");
        jRadioButtonZenith2.setToolTipText("b\u00fcrgerliche (zivile) D\u00e4mmerung");
        jRadioButtonZenith2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonZenith2.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonZenith2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonZenith2ActionPerformed(evt);
            }
        });

        buttonGroupZenith.add(jRadioButtonZenith3);
        jRadioButtonZenith3.setSelected(true);
        jRadioButtonZenith3.setText("nautische D\u00e4mmerung");
        jRadioButtonZenith3.setToolTipText("nautische D\u00e4mmerung");
        jRadioButtonZenith3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonZenith3.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonZenith3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonZenith3ActionPerformed(evt);
            }
        });

        buttonGroupZenith.add(jRadioButtonZenith4);
        jRadioButtonZenith4.setSelected(true);
        jRadioButtonZenith4.setText("astronomische D\u00e4mmerung");
        jRadioButtonZenith4.setToolTipText("astronomische D\u00e4mmerung");
        jRadioButtonZenith4.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
        jRadioButtonZenith4.setMargin(new java.awt.Insets(0, 0, 0, 0));
        jRadioButtonZenith4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButtonZenith4ActionPerformed(evt);
            }
        });

        jLabelIntervalLabel.setText("Aktualisierung alle:");
        jLabelIntervalLabel.setMaximumSize(new java.awt.Dimension(120, 14));
        jLabelIntervalLabel.setMinimumSize(new java.awt.Dimension(120, 14));
        jLabelIntervalLabel.setPreferredSize(new java.awt.Dimension(120, 14));

        jSpinnerInterval.setToolTipText("Aktualsierungsintervall (in Minuten)");

        jLabelMinutesLabel.setText("Minuten");

        jButtonBack.setText("zur\u00fcck");
        jButtonBack.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBackActionPerformed(evt);
            }
        });

        jButtonOk.setText("OK");
        jButtonOk.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonOkActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jSeparator4, javax.swing.GroupLayout.DEFAULT_SIZE, 440, Short.MAX_VALUE)
                    .addComponent(jSeparator3, javax.swing.GroupLayout.DEFAULT_SIZE, 440, Short.MAX_VALUE)
                    .addComponent(jSeparator2, javax.swing.GroupLayout.DEFAULT_SIZE, 440, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jLabelToolTipOptionsLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jRadioButtonModus2)
                            .addComponent(jRadioButtonModus1)
                            .addComponent(jRadioButtonModus3)))
                    .addComponent(jSeparator1, javax.swing.GroupLayout.DEFAULT_SIZE, 440, Short.MAX_VALUE)
                    .addComponent(jLabelTitelLabel, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 440, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jLabelStationIDLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextFieldStation, javax.swing.GroupLayout.DEFAULT_SIZE, 296, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jLabelStationsListLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jComboBoxStations, 0, 373, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(jLabelZenithsLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jRadioButtonZenith1, javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jRadioButtonZenith3, javax.swing.GroupLayout.Alignment.LEADING))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jRadioButtonZenith4)
                            .addComponent(jRadioButtonZenith2)))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabelIntervalLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jSpinnerInterval, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabelMinutesLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 117, Short.MAX_VALUE)
                        .addComponent(jButtonBack)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonOk)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabelTitelLabel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelStationIDLabel)
                    .addComponent(jTextFieldStation, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelStationsListLabel)
                    .addComponent(jComboBoxStations, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jRadioButtonModus1)
                    .addComponent(jLabelToolTipOptionsLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jRadioButtonModus2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jRadioButtonModus3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabelZenithsLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jRadioButtonZenith2)
                            .addComponent(jRadioButtonZenith1))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jRadioButtonZenith3)
                            .addComponent(jRadioButtonZenith4))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator4, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelIntervalLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jSpinnerInterval, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelMinutesLabel)
                    .addComponent(jButtonOk)
                    .addComponent(jButtonBack))
                .addContainerGap())
        );
        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jRadioButtonZenith4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonZenith4ActionPerformed
	newZenithMode = 4;
    }//GEN-LAST:event_jRadioButtonZenith4ActionPerformed

    private void jRadioButtonZenith3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonZenith3ActionPerformed
	newZenithMode = 3;
    }//GEN-LAST:event_jRadioButtonZenith3ActionPerformed

    private void jRadioButtonZenith2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonZenith2ActionPerformed
	newZenithMode = 2;
    }//GEN-LAST:event_jRadioButtonZenith2ActionPerformed

    private void jRadioButtonZenith1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonZenith1ActionPerformed
	newZenithMode = 1;
    }//GEN-LAST:event_jRadioButtonZenith1ActionPerformed

    private void jButtonOkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonOkActionPerformed
// TODO add your handling code here:
	if(jTextFieldStation.getText().length() > 0){
	    pgrWetter.actStationID = jTextFieldStation.getText().toUpperCase();
	}
	pgrWetter.upDateLongLat();
	pgrWetter.dispMode = newDispMode;
	pgrWetter.zenithMode = newZenithMode;
	pgrWetter.interval = Integer.parseInt( jSpinnerInterval.getValue().toString() );
	pgrWetter.resetTimer();
	pgrWetter.updateTray();
	this.dispose();
    }//GEN-LAST:event_jButtonOkActionPerformed

    private void jButtonBackActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBackActionPerformed
	this.dispose();
    }//GEN-LAST:event_jButtonBackActionPerformed

    private void jRadioButtonModus3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonModus3ActionPerformed
	newDispMode = 3;
    }//GEN-LAST:event_jRadioButtonModus3ActionPerformed

    private void jRadioButtonModus2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonModus2ActionPerformed
	newDispMode = 2;
    }//GEN-LAST:event_jRadioButtonModus2ActionPerformed

    private void jRadioButtonModus1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButtonModus1ActionPerformed
	newDispMode = 1;
    }//GEN-LAST:event_jRadioButtonModus1ActionPerformed

    private void jComboBoxStationsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxStationsActionPerformed
// TODO add your handling code here:
	if(jComboBoxStations.getSelectedItem()!= null){
	    String selectedStationString = jComboBoxStations.getSelectedItem().toString();
	    //System.out.println("### selectedStationString: " + selectedStationString + " ####");
	    jTextFieldStation.setText( selectedStationString.substring(0, 4) );
	}
    }//GEN-LAST:event_jComboBoxStationsActionPerformed

    @SuppressWarnings("static-access")
    private void updateComboBox() {
	if(pgrWetter.stationsMap != null){
	    jComboBoxStations.removeAllItems();

	    Iterator statIter = pgrWetter.stationsMap.entrySet().iterator();
	    while(statIter.hasNext()){
		String stationSet = statIter.next().toString().replaceFirst("=", " = ");
		if(stationSet != null){
		    jComboBoxStations.addItem( stationSet );
		}
	    }
	    jComboBoxStations.validate();
	    jComboBoxStations.setEnabled(true);
	    jComboBoxStations.setToolTipText("verfgbare Stationen");

	} else {
	    jComboBoxStations.setEnabled(false);
	    jComboBoxStations.setToolTipText("Stationsliste noch nicht geladen ... " +
		    "Onlineverbindung prfen, Fenster schlieen und wieder ffnen.");
	}

	String actStationOld = pgrWetter.actStationID;
	for(int i = 0; i < jComboBoxStations.getItemCount(); i++){
	    if(jComboBoxStations.getItemAt(i).toString().startsWith(actStationOld)){
		jComboBoxStations.setSelectedIndex(i);
		break;
	    }
	}

    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroupMode;
    private javax.swing.ButtonGroup buttonGroupZenith;
    private javax.swing.JButton jButtonBack;
    private javax.swing.JButton jButtonOk;
    private javax.swing.JComboBox jComboBoxStations;
    private javax.swing.JLabel jLabelIntervalLabel;
    private javax.swing.JLabel jLabelMinutesLabel;
    private javax.swing.JLabel jLabelStationIDLabel;
    private javax.swing.JLabel jLabelStationsListLabel;
    private javax.swing.JLabel jLabelTitelLabel;
    private javax.swing.JLabel jLabelToolTipOptionsLabel;
    private javax.swing.JLabel jLabelZenithsLabel;
    private javax.swing.JRadioButton jRadioButtonModus1;
    private javax.swing.JRadioButton jRadioButtonModus2;
    private javax.swing.JRadioButton jRadioButtonModus3;
    private javax.swing.JRadioButton jRadioButtonZenith1;
    private javax.swing.JRadioButton jRadioButtonZenith2;
    private javax.swing.JRadioButton jRadioButtonZenith3;
    private javax.swing.JRadioButton jRadioButtonZenith4;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JSpinner jSpinnerInterval;
    private javax.swing.JTextField jTextFieldStation;
    // End of variables declaration//GEN-END:variables

}
